###############################################################################
#
#    Copyright (C) 2003 Reznic Valery <valery_reznic@users.sourceforge.net>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
###############################################################################
G_MANPAGES =           \
   $(G_MANPAGES_1)     \
   $(G_MANPAGES_2)     \
   $(G_MANPAGES_3)     \
   $(G_MANPAGES_4)     \
   $(G_MANPAGES_5)     \
   $(G_MANPAGES_6)     \
   $(G_MANPAGES_7)     \
   $(G_MANPAGES_8)     \
   $(G_MANPAGES_9)     \
   $(G_MANPAGES_OTHER) \

S_MANPAGES =           \
   $(S_MANPAGES_1)     \
   $(S_MANPAGES_2)     \
   $(S_MANPAGES_3)     \
   $(S_MANPAGES_4)     \
   $(S_MANPAGES_5)     \
   $(S_MANPAGES_6)     \
   $(S_MANPAGES_7)     \
   $(S_MANPAGES_8)     \
   $(S_MANPAGES_9)     \
   $(S_MANPAGES_OTHER) \

MANPAGES_1 = $(G_MANPAGES_1) $(S_MANPAGES_1)
MANPAGES_2 = $(G_MANPAGES_2) $(S_MANPAGES_2)
MANPAGES_3 = $(G_MANPAGES_3) $(S_MANPAGES_3)
MANPAGES_4 = $(G_MANPAGES_4) $(S_MANPAGES_4)
MANPAGES_5 = $(G_MANPAGES_5) $(S_MANPAGES_5)
MANPAGES_6 = $(G_MANPAGES_6) $(S_MANPAGES_6)
MANPAGES_7 = $(G_MANPAGES_7) $(S_MANPAGES_7)
MANPAGES_8 = $(G_MANPAGES_8) $(S_MANPAGES_8)
MANPAGES_9 = $(G_MANPAGES_9) $(S_MANPAGES_9)

BASE_MAN_DIR = $(shell rpm --eval %_mandir || echo "/usr/man" )

define INSTALL_MAN
   manpages="$(strip $(MANPAGES_$(1)))"        && \
   if [ "x$$manpages" = "x" ]; then               \
      :;                                          \
   else                                           \
      dir="$(DESTDIR)/$(BASE_MAN_DIR)/man$(1)" && \
      $(MKDIR) $$dir                           && \
      $(INSTALL_RO) $$manpages $$dir            ; \
   fi
endef

.PHONY: install-man-local
install-man-local: install-man-other-local
	$(call INSTALL_MAN,1)
	$(call INSTALL_MAN,2)
	$(call INSTALL_MAN,3)
	$(call INSTALL_MAN,4)
	$(call INSTALL_MAN,5)
	$(call INSTALL_MAN,6)
	$(call INSTALL_MAN,7)
	$(call INSTALL_MAN,8)
	$(call INSTALL_MAN,9)

.PHONY: install-man-other-local
install-man-other-local:
